Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.lang.jstl
Class NamedValue

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.Expression
          org.apache.taglibs.standard.lang.jstl.NamedValue

    public class NamedValue

extends Expression

Represents a name that can be used as the first element of a value.

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group, Shawn Bayern

Constructor Summary
`NamedValue(String pName)` Constructor

Method Summary
`Object` | `evaluate(Object pContext, VariableResolver pResolver, Map functions, String defaultPrefix, Logger pLogger)` Evaluates by looking up the name in the VariableResolver
`String` | `getExpressionString()` Returns the expression in the expression language syntax
`String` | `getName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamedValue

    public NamedValue(String pName)

  Constructor

Method Detail

### getName

    public String getName()

### getExpressionString

    public String getExpressionString()

  Returns the expression in the expression language syntax

  Specified by:
    `getExpressionString` in class `Expression`

### evaluate

    public Object evaluate(Object pContext,
                           VariableResolver pResolver,
                           Map functions,
                           String defaultPrefix,
                           Logger pLogger)
                    throws ELException

  Evaluates by looking up the name in the VariableResolver

  Specified by:
    `evaluate` in class `Expression`
  Throws:
    `ELException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.